package com.fos.modules.myUserPre.entity;

import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

public class MyUserPreEntity extends BaseEntity{

	@JSONField(name="userPreDrinkList")
	private List<MyUserPreDrinkEntity>  userPreDrinkList;    //用户前3喜爱的喝的
	
	@JSONField(name="userPreDrinkTasteList")
	private List<MyUserPreDrinkTasteEntity> userPreDrinkTasteList;		//用户前3喜爱喝的口味
	
	@JSONField(name="userPreFoodList")
	private List<MyUserPreFoodEntity> userPreFoodList;       //用户前3喜爱食物
	
	@JSONField(name="userPreFoodTasteList")
	private List<MyUserPreFoodTasteEntity> userPreFoodTasteList;    //用户前3喜爱食物口味

	
	public List<MyUserPreDrinkEntity> getUserPreDrinkList() {
		return userPreDrinkList;
	}
	public void setUserPreDrinkList(List<MyUserPreDrinkEntity> userPreDrinkList) {
		this.userPreDrinkList = userPreDrinkList;
	}
	public List<MyUserPreDrinkTasteEntity> getUserPreDrinkTasteList() {
		return userPreDrinkTasteList;
	}
	public void setUserPreDrinkTasteList(List<MyUserPreDrinkTasteEntity> userPreDrinkTasteList) {
		this.userPreDrinkTasteList = userPreDrinkTasteList;
	}
	public List<MyUserPreFoodEntity> getUserPreFoodList() {
		return userPreFoodList;
	}
	public void setUserPreFoodList(List<MyUserPreFoodEntity> userPreFoodList) {
		this.userPreFoodList = userPreFoodList;
	}
	public List<MyUserPreFoodTasteEntity> getUserPreFoodTasteList() {
		return userPreFoodTasteList;
	}
	public void setUserPreFoodTasteList(List<MyUserPreFoodTasteEntity> userPreFoodTasteList) {
		this.userPreFoodTasteList = userPreFoodTasteList;
	}
	
	

}
